import 'package:device_manage/colors/ThemeColors.dart';
import 'package:device_manage/generated/l10n.dart';
import 'package:flutter/material.dart';
import 'package:device_manage/witsystem_theme_a.dart';

import 'package:flutter_localizations/flutter_localizations.dart';
import 'package:witsystem_device_plugin/witsystem_device_plugin.dart';

void main() {

  runApp(const MyApp());
  //runApp(const Index());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);




  @override
  Widget build(BuildContext context) {



    return MaterialApp(
      localizationsDelegates: const [
        S.delegate,
        GlobalMaterialLocalizations.delegate,
        GlobalCupertinoLocalizations.delegate,
        GlobalWidgetsLocalizations.delegate
      ],
      supportedLocales: S.delegate.supportedLocales,
      localeListResolutionCallback: (locales, supportedLocales) {
        print(locales);
        return;
      },

      home: Scaffold(
        appBar: AppBar(
          title:  Text("手机钥匙"),
        ),
        body: const IndexWidget(),
      ),
      theme: ThemeData(
          primaryColor: ThemeColors.themeList,
          primarySwatch: ThemeColors.themeList),
    );
  }
}
